Dictionary
תוכן זה אינו זמין עדיין בשפה שלך.
This document lists the methods to manage dictionaries in Cellosign application. Dictionaries can be managed manually or with API and associated with a list of values (select element) within a from.
This document include methods and code samples to upload, delete, replace or add new content to dictionary through Cellosign Rest API.
What is a dictionary?
Section titled “What is a dictionary?”A dictionary is a table where each row includes:
- Text that is presented to user, for example: Tel-aviv. Text must be unique throughout the table.
- A value that represents the underlying code. Might be the same as text or a code and must be unique
- Group. This is optional field that can be used for aggregation, for example if my dictionary is streets than group will be used to point to which city it associated with
Collection
Section titled “Collection”Cellosign-API-v3-dictionatries.postman_collectionDownload
Methods
Section titled “Methods”Get List of dictionaries
Section titled “Get List of dictionaries”Get list of dictionaries and their corresponding metadata. For each record the “id” is the key to reference to act on specific dictionary.
Example response
{ "meta": { "links": { "next": null, "previous": null }, "total": 2, "many": true, "paginated": true }, "data": [ { "id": "09afed16-3eb3-0259-8f73-4787114e9055", "count": 5, "modified_by": "examples@cellosign.com", "created_at": "08/06/23 18:11", "modified_at": "12/06/23 09:09", "name": "Cities" }, { "id": "c68a16ae-b85c-5636-8722-abd5a96c7954", "count": 200, "modified_by": "examples@cellosign.com", "created_at": "08/06/23 18:14", "modified_at": "08/06/23 18:29", "name": "Streets" } ]}Get Dictionary metadata
Section titled “Get Dictionary metadata”Example response
{ "data": { "id": "c68a16ae-b85c-5636-8722-abd5a96c7954", "count": 200, "modified_by": "examples@cellosign.com", "created_at": "08/06/23 18:14", "modified_at": "08/06/23 18:29", "name": "Streets" }, "meta": {}}Create new dictionary
Section titled “Create new dictionary”Upload new dictionary to Cellosign. Method returns dictionary metadata in response
Overwrite dictionary
Section titled “Overwrite dictionary”This method replaces a dictionary content. All records will be removed and content in request body will be uploaded. Method returns dictionary metadata in response
Append to Dictionary
Section titled “Append to Dictionary”Request body will be appended as new records to dictionary. Method returns dictionary metadata in response
Notes and Gotchas
Section titled “Notes and Gotchas”For security reasons some characters are disallowed.
- Disallowed for Text column: ‘<’, ‘>’, ‘;’
- Disallowed for value and group columns:‘<’, ‘>’, ‘#’, ‘$’, ‘%’, ‘^’, ‘&’, ‘*’, ‘|’, ‘;’, ‘:’, ‘{’, ‘}’, ‘[’, ‘]’, ‘=’, ‘+’, ‘-’
Note: 100K records is the maximum allowed to upload into a dictionary.